Draft Downgrade/fr: Difference between revisions

From FreeCAD Documentation
(ajout de la section "Exemple")
(Updating to match new version of source page)
Line 1: Line 1:
{{GuiCommand/fr|Name=Draft_Downgrade|Name/fr=Draft Downgrade (descend d'un niveau inférieur)|Workbenches=[[Draft Module/fr|Draft]]|MenuLocation=Draft -> Downgrade|Shortcut=D N}}
{{GuiCommand|Name=Draft_Downgrade|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft -> Downgrade|Shortcut=D N|SeeAlso=[[Draft Upgrade]]}}

=Draft_Downgrade/fr=
==Description==
==Description==


This tool downgrades selected objects in different ways. If no object is selected, you will be invited to select one.
Cet outil descend d'un niveau inférieur les objets sélectionnés de différentes façons.<br>
Si aucun objet n'est sélectionné, vous serez invité à en sélectionner un.


[[Image:Draft_Downgrade_example.jpg|480px]]
[[Image:Draft_Downgrade_example.jpg|400px]]


==Utilisation==
==How to use==


# Select one or more objects you widh to downgrade
Les objets sélectionnés sont modifiés/downgraded à un niveau inférieur, en suivant l'ordre de cette liste :
# Press the {{KEY|[[Image:Draft Downgrade.png|16px]] [[Draft Downgrade]]}} button or press {{KEY|D}} then {{KEY|N}} keys
* Uniquement si un objet est sélectionné et qu'il contient plus d'une face, ceux qui sont séparés en différents objets.

* S'il y a plus d'une face, les faces subséquentes sont soustraites d'une face.
==Options==
* S'il n'existe qu'une seule face, elle est convertie en un fil (wire).

* Dans le cas contraire tous les fils (wire) sont éclatés en bords uniques.
The selected objects are modified/downgraded, according to the following conditions (in order):
* if only one object is selected and it contains more than one face, each face becomes a separate object
* if there are more than one face in the selection, the subsequent objects are subtracted from the first one
* if there is only one face in the selection, it gets converted into a wire
* otherwise all wires found in the selection are exploded into single edges

==Example==


==Exemple==
{{clear}}
<br>
<center>
<gallery widths="300" heights="200">
<gallery widths="300" heights="200">
File:Draft Downgrade 01.png|Forme complète
File:Draft Downgrade 01.png|Complete shape
File:Draft Downgrade 02.png|Forme avec faces désolidarisées et éclatées
File:Draft Downgrade 02.png|Downgraded shape, with disconnected and split faces
</gallery>
</gallery>

</center>
==Scripting==
{{clear}}

{{LesOutilsDeTransformationsDraft}}
The Downgrade tool can be used in python scripts and [[macros]] by using the following function:
<br>

{{languages/fr | {{en|Draft Downgrade}} {{es|Draft Downgrade/es}} {{it|Draft Downgrade/it}} {{se|Draft Downgrade/se}} }}
<syntaxhighlight>
downgrade (objects [delete], [force])
</syntaxhighlight>

* Downgrades the given object(s) (can be an object or a list of objects).
* If delete is True, old objects are deleted.
* The force attribute can be used to force a certain way of downgrading. It can be: explode, shapify, subtr, splitFaces, cut2, getWire, splitWires.
* Returns a dictionnary containing two lists, a list of new objects and a list of objects to be deleted

Example:

<syntaxhighlight>
import FreeCADGui,Draft
selection = FreeCADGui.Selection.getSelection()
Draft.downgrade(selection)
</syntaxhighlight>

<languages/>

Revision as of 17:20, 13 February 2014

Draft_Downgrade

Menu location
Draft -> Downgrade
Workbenches
Draft, Arch
Default shortcut
D N
Introduced in version
-
See also
Draft Upgrade

Description

This tool downgrades selected objects in different ways. If no object is selected, you will be invited to select one.

How to use

  1. Select one or more objects you widh to downgrade
  2. Press the Draft Downgrade button or press D then N keys

Options

The selected objects are modified/downgraded, according to the following conditions (in order):

  • if only one object is selected and it contains more than one face, each face becomes a separate object
  • if there are more than one face in the selection, the subsequent objects are subtracted from the first one
  • if there is only one face in the selection, it gets converted into a wire
  • otherwise all wires found in the selection are exploded into single edges

Example

Scripting

The Downgrade tool can be used in python scripts and macros by using the following function:

 downgrade (objects [delete], [force])
  • Downgrades the given object(s) (can be an object or a list of objects).
  • If delete is True, old objects are deleted.
  • The force attribute can be used to force a certain way of downgrading. It can be: explode, shapify, subtr, splitFaces, cut2, getWire, splitWires.
  • Returns a dictionnary containing two lists, a list of new objects and a list of objects to be deleted

Example:

 import FreeCADGui,Draft
 selection = FreeCADGui.Selection.getSelection()
 Draft.downgrade(selection)